---

- name: Prerequisites
  ansible.builtin.include_tasks:
    file: prerequisites.yml
    apply:
      tags:
        - node_exporter_prerequisites
  tags: node_exporter_prerequisites

- name: Install node_exporter
  ansible.builtin.include_tasks:
    file: "install.yml"
    apply:
      tags:
        - node_exporter_install
  tags:
    - node_exporter_install

- name: Configure node_exporter
  ansible.builtin.include_tasks:
    file: "config.yml"
    apply:
      tags:
        - node_exporter_config
  tags:
    - node_exporter_config
